#1781 closed enhancement (fixed)

Adding Support for Analog Devices Blackfin 52x DSP processors.

Reported by: Rohan Owned by: Joel Sherrill
Priority: highest Milestone: 4.11
Component: bsps Version: 4.10
Severity: minor Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

The current implementation of RTEMS supports Analog Devices(ADI) Blackfin 533 and 537 processors. The patch included will add support for blackfin 52x range of processors.
The patch also contains code for supporting new board TLL6527M. The details about the board are provided inside the README file provided in the patch.
The patch was applied on a fresh copy of RTEMS_4.10 and tested.
The current implementation supports only uart in polling, interrupt and DMA mode. The other devices will be added soon.

The port was compiled using
===========================

  1. bfin-rtems4.11-gcc (GCC) 4.5.2 20101216

(RTEMS gcc-4.5.2-3.el5/newlib-1.19.0-1.el5)

  1. automake (GNU automake) 1.11.1
  2. autoconf (GNU Autoconf) 2.68

The port was configured using the flags
==========================================
--target=bfin-rtems4.11 --enable-rtemsbsp=TLL6527M --enable-tests=samples
--disable-posix --disable-itron

Attachments (4)

patch (125.1 KB) - added by Rohan on Apr 18, 2011 at 8:23:56 PM.
Patch file for adding support for BF527 and TLL6527M
Makefile.am (1.5 KB) - added by Joel Sherrill on Apr 18, 2011 at 9:38:55 PM.
BSP replacement Makefile.am
patch_v1.0 (125.9 KB) - added by Rohan on Apr 19, 2011 at 5:43:47 PM.
Blackfin 52X patch
patch_v1.1 (131.0 KB) - added by Rohan on Apr 20, 2011 at 3:10:01 PM.
Blackfin 52X patch v 1.1 added change log

Download all attachments as: .zip

Change History (6)

Changed on Apr 18, 2011 at 8:23:56 PM by Rohan

Attachment: patch added

Patch file for adding support for BF527 and TLL6527M

comment:1 Changed on Apr 18, 2011 at 8:25:54 PM by Rohan

Priority: normalhighest

Changed on Apr 18, 2011 at 9:38:55 PM by Joel Sherrill

Attachment: Makefile.am added

BSP replacement Makefile.am

Changed on Apr 19, 2011 at 5:43:47 PM by Rohan

Attachment: patch_v1.0 added

Blackfin 52X patch

Changed on Apr 20, 2011 at 3:10:01 PM by Rohan

Attachment: patch_v1.1 added

Blackfin 52X patch v 1.1 added change log

comment:2 Changed on Apr 11, 2014 at 6:49:30 PM by Gedare

Resolution: fixed
Status: newclosed, gedare@rtems.org

Closing. Joel wanted to keep this open to get more info about the board, but it looks like none is forthcoming.

Note: See TracTickets for help on using tickets.